aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--Documentation/config.txt8
-rwxr-xr-xgit-repack.sh6
2 files changed, 7 insertions, 7 deletions
diff --git a/Documentation/config.txt b/Documentation/config.txt
index 1e09a57c8..e37b9d6bb 100644
--- a/Documentation/config.txt
+++ b/Documentation/config.txt
@@ -996,8 +996,12 @@ remotes.<group>::
<group>". See linkgit:git-remote[1].
repack.usedeltabaseoffset::
- Allow linkgit:git-repack[1] to create packs that uses
- delta-base offset. Defaults to false.
+ By default, linkgit:git-repack[1] creates packs that use
+ delta-base offset. If you need to share your repository with
+ git older than version 1.4.4, either directly or via a dumb
+ protocol such as http, then you need to set this option to
+ "false" and repack. Access from old git versions over the
+ native protocol are unaffected by this option.
show.difftree::
The default linkgit:git-diff-tree[1] arguments to be used
diff --git a/git-repack.sh b/git-repack.sh
index 072d1b40f..8c3bc134a 100755
--- a/git-repack.sh
+++ b/git-repack.sh
@@ -44,11 +44,7 @@ do
shift
done
-# Later we will default repack.UseDeltaBaseOffset to true
-default_dbo=false
-
-case "`git config --bool repack.usedeltabaseoffset ||
- echo $default_dbo`" in
+case "`git config --bool repack.usedeltabaseoffset || echo true`" in
true)
extra="$extra --delta-base-offset" ;;
esac